# Generated by Django 5.1.2 on 2024-10-21 01:02

import autoslug.fields
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Airport',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('slug', autoslug.fields.AutoSlugField(editable=False, populate_from='get_slug', unique=True)),
                ('iata', models.CharField(help_text='three-letter identifier for designating airports', max_length=3, unique=True, verbose_name='IATA airport code')),
                ('icao', models.CharField(blank=True, help_text='four-character alphanumeric identifier for designating airports', max_length=4, null=True, verbose_name='ICAO airport code')),
                ('label', models.CharField(blank=True, help_text='A human-readable name for the subject', max_length=255, null=True, verbose_name='Label')),
            ],
        ),
        migrations.CreateModel(
            name='Alliance',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('slug', autoslug.fields.AutoSlugField(editable=False, populate_from='get_slug', unique=True)),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Airline',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('slug', autoslug.fields.AutoSlugField(editable=False, populate_from='get_slug', unique=True)),
                ('iata', models.CharField(help_text='two-character identifier for an airline', max_length=2, unique=True, verbose_name='IATA airline designator')),
                ('icao', models.CharField(blank=True, help_text='three letter identifier for an airline', max_length=3, null=True, verbose_name='ICAO airline designator')),
                ('label', models.CharField(blank=True, help_text='A human-readable name for the subject', max_length=255, null=True, verbose_name='Label')),
                ('alliance', models.ForeignKey(blank=True, help_text='alliance the airline belongs to', null=True, on_delete=django.db.models.deletion.SET_NULL, to='aviation.alliance', verbose_name='airline alliance')),
            ],
        ),
    ]
